<?php
/*
  Featured Products Phoenix Cart v2.2.3
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  $currencies = new currencies();

  require('includes/template_top.php');
?>

  <h1 class="display-4 mb-2"><?php echo HEADING_TITLE ?></h1>

  <?= tep_draw_form('search_featured', 'select_featured.php', '', 'get') ?>

    <div class="form-group row">
      <label for="featuredProduct" class="col-form-label col-sm-3 text-left text-sm-right"><?= TEXT_FEATURED_PRODUCT ?></label>
      <div class="col-sm-9"><?= tep_draw_input_field('products_name', '', 'id="featuredProduct" class="form-control"') ?></div>
    </div>

    <div class="form-group row">
      <label for="featuredModel" class="col-form-label col-sm-3 text-left text-sm-right"><?= TEXT_FEATURED_MODEL ?></label>
      <div class="col-sm-9"><?= tep_draw_input_field('products_model', '', 'id="featuredModel" class="form-control"') ?></div>
    </div>

    <div class="buttonSet row mr-2 mt-2 mb-2">
      <?= tep_draw_bootstrap_button(BUTTON_SUBMIT_SEARCH, 'fas fa-search', null, null, null, 'btn-success btn-block btn-lg text-white') ?>
      <?= tep_draw_bootstrap_button(IMAGE_CANCEL, 'fas fa-angle-left', tep_href_link('featured.php'), null, null, 'btn-light mt-2') ?>
    </div>

  </form>

  <div class="row no-gutters">
    <div class="col">
      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead class="thead-dark">
            <tr>
              <th><?= TABLE_HEADING_PRODUCTS ?></th>
              <th class="text-center"><?= TABLE_HEADING_MODEL ?></th>
              <th class="text-right"><?= TABLE_HEADING_PRODUCTS_PRICE ?></th>
              <th class="text-center"><?= TABLE_HEADING_STATUS ?></th>
            </tr>
          </thead>
          <tbody>

          <?php
            if (isset($_GET['products_name'])) {
              $name = tep_db_prepare_input($_GET['products_name']);
            }
            if (isset($_GET['products_model'])) {
              $model = tep_db_prepare_input($_GET['products_model']);
            }

            if (isset($name) || isset($model)) {

              $sql = sprintf(<<<'EOSQL'
SELECT d.products_id, d.products_name, p.products_model, p.products_price, p.products_status
  FROM products_description d, products p
  WHERE d.language_id = %s
    AND d.products_id = p.products_id
EOSQL
              , (int)$_SESSION['languages_id']);

              if (isset($name))  $sql .= sprintf(<<<'EOSQL'
  AND d.products_name like '%%%s%%'
EOSQL
              , tep_db_input($name));

              if (isset($model))  $sql .= sprintf(<<<'EOSQL'
  AND p.products_model like '%%%s%%'
EOSQL
              , tep_db_input($model));

              $search_query = tep_db_query($sql);
              while ( $result = $search_query->fetch_assoc() ) {
                if ($result['products_status'] == '1') {
                  $icon = '<i class="fas fa-chevron-circle-right text-info"></i>';
                } else {
                  $icon = '<i class="fas fa-info-circle text-muted"></i>';
                }
                ?>
                <tr class="dataTableRow" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="document.location.href='<?= tep_href_link('featured.php', '&prodID=' . $result['products_id'] . '&action=new') ?>'">
                  <td  class="dataTableContent">
                    <a href="<?= tep_href_link('featured.php', '&prodID=' . $result['products_id'] . '&action=new') ?>"><?= $result['products_name'] ?></a>
                  </td>
                  <td class="text-center"><?= $result['products_model'] ?></td>
                  <td class="text-right"><?= $currencies->format($result['products_price']) ?></td>
                  <td class="text-center"><?= $icon ?></td>
                </tr>
                <?php
              }
            }
            ?>

          </tbody>
        </table>
      </div>
    </div>
  </div>

  <div class="alert alert-info">
    <?= TEXT_SELECT_FEATURED_TIP ?>
  </div>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>