<?php
/*
  Featured Products Phoenix Cart v2.2.3
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart
*/

////
// Sets the status of a featured product
  function tep_set_featured_status($featured_id, $status) {
    return tep_db_query(sprintf(<<<'EOSQL'
UPDATE featured 
  SET status = '" . $status . "', date_status_change = NOW() 
  WHERE featured_id = %s
EOSQL
      , (int)$featured_id));

  }

////
// Auto expire featured products
  function tep_expire_featured() {
    $featured_query = tep_db_query(<<<'EOSQL'
SELECT featured_id 
  FROM featured where status = '1' 
    AND now() >= expires_date 
    AND expires_date > 0
EOSQL
      );
    
    if (mysqli_num_rows($featured_query)) {
      while ( $featured = $featured_query->fetch_assoc() ) {
        tep_set_featured_status($featured['featured_id'], '0');
      }
    }
  }

// Limit the size of text blocks to the nearest full word
//    $text is string to be truncated,
//    $maxchar is number of characters to limit to,
//    $wordlength is maximum length of a single word, to avoid long words breaking linewrap
  function tep_fp_featured_products_limit_text ($text, $maxchar, $wordlength = 40) {
    $text = str_replace ("\n", ' ', $text);
    $text = str_replace ("\r", ' ', $text);
    $text = str_replace ('<br>', ' ', $text);
    $text = wordwrap ($text, $wordlength, ' ', true);
    $text = preg_replace ("/[ ]+/", ' ', $text);
    $text_length = strlen ($text);
    $text_array = explode (" ", $text);

    $newtext = '';
    for ($array_key = 0, $length = 0; $length <= $text_length; $array_key++) {
      $length = strlen ($newtext) + strlen ($text_array[$array_key]) + 1;
      if ($length > $maxchar) break;
      $newtext = $newtext . ' ' . $text_array[$array_key];
    }

    return $newtext;
  } // function tep_limit_text


  function tep_array_values_to_string($array, $separator = ',') {
    $get_string = '';
    if (sizeof($array) > 0) {
       while (list($key, $value) = each($array)) {
         $get_string .= $value . $separator;
       }
       $remove_chars = strlen($separator);
       $get_string = substr($get_string, 0, -$remove_chars);
    }
    return $get_string;
  }
